### API Overview: Navan Open API Source: https://app.navan.com/openapi.yml

Welcome to the Navan Open API reference documentation.

You can use this API to perform operations like import Bookings and read Users.

To access the API, your company admin needs to supply you with a client id and a secret key. They can generate this in the Navan Admin Dashboard, in the Integrations section of the Settings page.


To generate a token make a request to the token API with your credentials:

curl --request POST --url 'https://api.navan.com/ta-auth/oauth/token'
--header 'content-type:application/x-www-form-urlencoded'
--data grant_type=client_credentials
--data client_id=YOURCLIENTIDHERE
--data client_secret=YOURSECRETHERE

Once the token was generated you can call the APIS. Example:

curl --request GET --url https://api.navan.com/v1/users
--header 'Authorization:Bearer YOURTOKENHERE'
```yaml # Navan Open API # Version: 1

Welcome to the Navan Open API reference documentation.

You can use this API to perform operations like import Bookings and read Users.

To access the API, your company admin needs to supply you with a client id and a secret key. They can generate this in the Navan Admin Dashboard, in the Integrations section of the Settings page.


To generate a token make a request to the token API with your credentials:

curl --request POST --url 'https://api.navan.com/ta-auth/oauth/token'
--header 'content-type:application/x-www-form-urlencoded'
--data grant_type=client_credentials
--data client_id=YOURCLIENTIDHERE
--data client_secret=YOURSECRETHERE

Once the token was generated you can call the APIS. Example:

curl --request GET --url https://api.navan.com/v1/users
--header 'Authorization:Bearer YOURTOKENHERE'
# Base URL: Not specified ``` -------------------------------- ### GET /v1/users Source: https://app.navan.com/openapi.yml Returns users filtered by the parameters you select. ```markdown ### Parameters - **page** (integer, query, optional): Page cursor for use in pagination - **size** (integer, query, optional): Number of records returned per page ### Responses #### 200 - Successful operation **UsersResponse** #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/v1/users?page=0&size=0" ``` ``` -------------------------------- ### Schema: User Source: https://app.navan.com/openapi.yml Schema definition for User ```markdown ## Schema: User Schema definition for User **Type:** object ``` -------------------------------- ### Schema: UserTripResponse Source: https://app.navan.com/openapi.yml Schema definition for UserTripResponse ```markdown ## Schema: UserTripResponse Schema definition for UserTripResponse **Type:** object ``` -------------------------------- ### Schema: Property Source: https://app.navan.com/openapi.yml Schema definition for Property ```markdown ## Schema: Property Schema definition for Property **Type:** object ``` -------------------------------- ### Schema: CnrInfo Source: https://app.navan.com/openapi.yml Schema definition for CnrInfo ```markdown ## Schema: CnrInfo Schema definition for CnrInfo **Type:** object ``` -------------------------------- ### Schema: Name Source: https://app.navan.com/openapi.yml Schema definition for Name ```markdown ## Schema: Name Schema definition for Name **Type:** object ``` -------------------------------- ### Schema: UsersResponse Source: https://app.navan.com/openapi.yml Schema definition for UsersResponse ```markdown ## Schema: UsersResponse Schema definition for UsersResponse **Type:** object ``` -------------------------------- ### POST /v1/trips Source: https://app.navan.com/openapi.yml Imports an external trip bookings into Navan platform. ```markdown ### Request Body **Content-Type:** application/json ### Responses #### 200 - response **TripsResponse** #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X POST "https://api.example.com/v1/trips" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### Security: OAuth2 Source: https://app.navan.com/openapi.yml Security scheme: OAuth2 ```markdown ## Security: OAuth2 **Description:** Security scheme: OAuth2 **Type:** oauth2 **OAuth Flows:** - **clientCredentials**: https://app.navan.com/ta-auth/oauth/token - Scopes: users:read, trips:write ``` -------------------------------- ### Schema: Emails Source: https://app.navan.com/openapi.yml Schema definition for Emails ```markdown ## Schema: Emails Schema definition for Emails **Type:** object ``` -------------------------------- ### Schema: PolicyLevel Source: https://app.navan.com/openapi.yml Schema definition for PolicyLevel ```markdown ## Schema: PolicyLevel Schema definition for PolicyLevel **Type:** string ``` -------------------------------- ### Schema: PaymentMethod Source: https://app.navan.com/openapi.yml Schema definition for PaymentMethod ```markdown ## Schema: PaymentMethod Schema definition for PaymentMethod **Type:** object ``` -------------------------------- ### Schema: LocationInfo Source: https://app.navan.com/openapi.yml Schema definition for LocationInfo ```markdown ## Schema: LocationInfo Schema definition for LocationInfo **Type:** object ``` -------------------------------- ### Schema: BookingStatus Source: https://app.navan.com/openapi.yml Schema definition for BookingStatus ```markdown ## Schema: BookingStatus Schema definition for BookingStatus **Type:** string ``` -------------------------------- ### Schema: Hotel Source: https://app.navan.com/openapi.yml Schema definition for Hotel ```markdown ## Schema: Hotel Schema definition for Hotel **Type:** object ``` -------------------------------- ### Schema: Page Source: https://app.navan.com/openapi.yml Schema definition for Page ```markdown ## Schema: Page Schema definition for Page **Type:** object ``` -------------------------------- ### Schema: Flight Source: https://app.navan.com/openapi.yml Schema definition for Flight ```markdown ## Schema: Flight Schema definition for Flight **Type:** object ``` -------------------------------- ### Schema: PassengerInfo Source: https://app.navan.com/openapi.yml Schema definition for PassengerInfo ```markdown ## Schema: PassengerInfo Schema definition for PassengerInfo **Type:** object ``` -------------------------------- ### Schema: Passport Source: https://app.navan.com/openapi.yml Schema definition for Passport ```markdown ## Schema: Passport Schema definition for Passport **Type:** object ``` -------------------------------- ### Schema: Geo Source: https://app.navan.com/openapi.yml Schema definition for Geo ```markdown ## Schema: Geo Schema definition for Geo **Type:** object ``` -------------------------------- ### Schema: RailTicketInfo Source: https://app.navan.com/openapi.yml Schema definition for RailTicketInfo ```markdown ## Schema: RailTicketInfo Schema definition for RailTicketInfo **Type:** object ``` -------------------------------- ### Schema: Rail Source: https://app.navan.com/openapi.yml Schema definition for Rail ```markdown ## Schema: Rail Schema definition for Rail **Type:** object ``` -------------------------------- ### Schema: Car Source: https://app.navan.com/openapi.yml Schema definition for Car ```markdown ## Schema: Car Schema definition for Car **Type:** object ``` -------------------------------- ### Schema: RailCabin Source: https://app.navan.com/openapi.yml Schema definition for RailCabin ```markdown ## Schema: RailCabin Schema definition for RailCabin **Type:** string ``` -------------------------------- ### Schema: BlackCar Source: https://app.navan.com/openapi.yml Schema definition for BlackCar ```markdown ## Schema: BlackCar Schema definition for BlackCar **Type:** object ``` -------------------------------- ### Schema: FlightInfo Source: https://app.navan.com/openapi.yml Schema definition for FlightInfo ```markdown ## Schema: FlightInfo Schema definition for FlightInfo **Type:** object ``` -------------------------------- ### Schema: Gender Source: https://app.navan.com/openapi.yml Schema definition for Gender ```markdown ## Schema: Gender Schema definition for Gender **Type:** string ``` -------------------------------- ### Schema: OutOfPolicyInfo Source: https://app.navan.com/openapi.yml Schema definition for OutOfPolicyInfo ```markdown ## Schema: OutOfPolicyInfo Schema definition for OutOfPolicyInfo **Type:** object ``` -------------------------------- ### Schema: TripRequest Source: https://app.navan.com/openapi.yml Schema definition for TripRequest ```markdown ## Schema: TripRequest Schema definition for TripRequest **Type:** object ``` -------------------------------- ### Schema: TripsResponse Source: https://app.navan.com/openapi.yml Schema definition for TripsResponse ```markdown ## Schema: TripsResponse Schema definition for TripsResponse **Type:** object ``` -------------------------------- ### Schema: OutOfPolicyViolation Source: https://app.navan.com/openapi.yml Schema definition for OutOfPolicyViolation ```markdown ## Schema: OutOfPolicyViolation Schema definition for OutOfPolicyViolation **Type:** object ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.